package command;

import org.eclipse.jgit.api.Git;
import org.eclipse.jgit.api.errors.GitAPIException;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class CommandInit implements Command {

    private String path = "/home/jack/Documents/testrepo";

    public void execute() {
        //problem: files not added to git obv cant be stashed, lost when change branch
        String issueRepo = path + "/.issues";

        try {
            Files.createDirectories(Paths.get(issueRepo));
            Git.init()
                    .setDirectory(new File(issueRepo))
                    .call();
            Git git = Git.open(new File(issueRepo));
            Files.createFile(Paths.get(issueRepo + "/.init"));
            git.add().setUpdate(true).addFilepattern(".").call();
            git.commit().setMessage("initial commit").call();
            System.out.println("Issue repository created");

        } catch (IOException | GitAPIException e) {
            e.printStackTrace();
        }


    }
}